import { Noto_Serif } from "next/font/google";
import Header from "@/components/header/Header";
import "./globals.css";
import Footer from "@/components/footer/Footer";

const inter = Noto_Serif({ subsets: ["latin"] });

export const metadata = {
  title: "Colchones y Muebles JC",
  description: "Calidad y Personalización en un Solo Lugar.",
};

export const viewport = {
  width: "device-width",
  initialScale: 1,
  maximumScale: 1,
  userScalable: false,
};

export default function RootLayout({ children }) {
  return (
    <html lang="es">
      <body className={inter.className}>
        <Header />
        {children}
        <Footer />
      </body>
    </html>
  );
}
