import Hero from "@/components/hero/Hero";
import Products from "@/components/product/Products";
import {
  Salas,
  Comedores,
  Dormitorios,
  EquiposElectrónicos,
} from "@/utils/Products";
import Network from "@/components/network/Network";
import Link from "next/link";

export default function Home() {
  return (
    <main className="h-full w-full  overflow-hidden">
      <Hero />
      <Network />
      <Products
        filter={6}
        products={Dormitorios}
        heading={"Como Nube: Duerme profundo y recupera toda tu Energía."}
      />
      <div
        className="
      w-full
      h-full
      flex
      items-center
      justify-center
      px-8
      "
      >
        <Link
          className="border 
          rounded-md 
          border-[#007bff] 
          text-[#007bff] 
          font-bold 
          px-5 
          py-2 
          text-lg 
          lg:text-2xl
          "
          href={"/dormitorios"}
        >
          Ver más Colchones y Camas...
        </Link>
      </div>
      <Products
        filter={6}
        products={Salas}
        heading={
          "Sorprende a tus Visitas: Siente la comodidad de la Buena Compañia."
        }
      />
      <div
        className="
      w-full
      h-full
      flex
      items-center
      justify-center
      px-8
      "
      >
        <Link
          className="border 
          rounded-md 
          border-[#007bff] 
          text-[#007bff] 
          font-bold 
          px-5 
          py-2 
          text-lg 
          lg:text-2xl
          "
          href={"/salas"}
        >
          Ver más Salas...
        </Link>
      </div>
      <Products
        filter={6}
        products={Comedores}
        heading={
          "El Placer de Comer: Disfruta en Familia y satisface tu apetito con Estilo."
        }
      />
      <div
        className="
      w-full
      h-full
      flex
      items-center
      justify-center
      px-8
      "
      >
        <Link
          className="border 
          rounded-md 
          border-[#007bff] 
          text-[#007bff] 
          font-bold 
          px-5 
          py-2 
          text-lg 
          lg:text-2xl
          "
          href={"/comedores"}
        >
          Ver más Comedores...
        </Link>
      </div>
      <Products
        filter={6}
        products={EquiposElectrónicos}
        heading={
          "Conéctate a la Modernidad: Navega el Hoy y el Mañana, no te quedes atrás."
        }
      />
      <div
        className="
      w-full
      h-full
      flex
      items-center
      justify-center
      mb-5
      px-8
      "
      >
        <Link
          className="border 
          rounded-md 
          border-[#007bff] 
          text-[#007bff] 
          font-bold 
          px-5 
          py-2 
          text-lg 
          lg:text-2xl
          "
          href={"/equipos_electronicos"}
        >
          Ver más Equipos Electrónicos...
        </Link>
      </div>
      <Network />
    </main>
  );
}
